<?php

namespace App\Data\Woo;

use App\Data\BaseData;

class DimensionsData extends BaseData
{
    public function __construct(
        public readonly ?string $length,
        public readonly ?string $width,
        public readonly ?string $height,
    ) {}

    protected static function casts(): array
    {
        return [
            'length' => 'string',
            'width'  => 'string',
            'height' => 'string',
        ];
    }
}
